Description
A Recipient represents the beneficiary and the beneficiary account (typically a bank account) of a payout. The new set of Recipient endpoints replaces the legacy Bank Account endpoints, including bank account types. A Recipient account can be registered for anIndividual or Business entity, defined in RecipientType.
The Country of the user’s account combines with its Currency to determine the available PayoutMethodType, which you can check using GET View payout methods.
The PayoutMethodType property defines the possible payout rails that can be used with the Recipient:
LocalBankTransfer– The account can only receive the corresponding localCurrencyfor theCountryvia the domestic payment rail (e.g.EURvia a SEPA local scheme to a SEPA country,GBPvia FPS to aGBaccount,USDvia ACH to aUSaccount, etc). Payouts in non-local currencies return an error.InternationalBankTransfer– The account can receive both non-local currencies via SWIFT and also local currency via domestic rails.
Best practice – Use
InternationalBankTransfer for multi-currency accountsFor users who may wish to receive payouts in multiple currencies to the same account, use the InternationalBankTransfer for PayoutMethodType.For these Recipients, Mangopay automatically uses the domestic rail if a local currency is sent, thereby optimizing routing costs and speeds while allowing you to operate one RecipientId for a user.LocalBankTransfer payout method type and accept SWIFT payouts. New account registrations for multi-currency use must use InternationalBankTransfer.
With the Country, Currency, and PayoutMethodType, you can then:
- Dynamically retrieve the required schema of the user’s account details using GET View the schema for a Recipient
- Validate the user’s data using POST Validate data for a Recipient in advance of registering the account
Attributes
Max length: 128 characters (see data formats for details)The unique identifier of the object.
Possible values:
PENDING, CANCELED, ACTIVE, DEACTIVATEDThe status of the recipient:PENDING– ForPAYOUTscope recipients, the user must complete SCA before the recipient can becomeACTIVE. ForPAYINscope recipients, the recipient creation is in progress.CANCELED– SCA was not successfully completed and the recipient creation request was canceled. To retry, create another recipient to retrieve anotherPendingUserAction.RedirectUrl. TheCANCELEDstatus does not apply ifRecipientScopeisPAYIN.ACTIVE– Recipient creation was successful (including SCA ifRecipientScopeisPAYOUT) and the recipient is ready to be used for payouts .DEACTIVATED– The recipient has been permanently deactivated and can no longer be used.
The date and time at which the object was created.
Length: 1–50; cannot contain:
&,'/ (pattern:^(?!.*[&,'/]).{1,50}$)A user-friendly name to identify the account. This value cannot be changed once the recipient is created.Possible values:
InternationalBankTransfer, LocalBankTransferThe payout method of the recipient:LocalBankTransfer– The account can only receive the corresponding localCurrencyfor theCountryvia the domestic payment rail (e.g.EURvia a SEPA local scheme to a SEPA country,GBPvia FPS to aGBaccount,USDvia ACH to aUSaccount, etc). Payouts in non-local currencies return an error.InternationalBankTransfer– The account can receive both non-local currencies via SWIFT and also local currency via domestic rails.
Possible values:
Individual, BusinessThe recipient type:Individual– An account held by a natural person, requiring theIndividualRecipientproperty.Business– An account held by a legal entity, requiring theBusinessRecipientproperty.
Possible values:
AED, AUD, CAD, CHF, CNH, CZK, DKK, EUR, GBP, HKD, HUF, ILS, JPY, MXN, NOK, NZD, PLN, RON, SAR, SEK, SGD, TRY, USD, ZARThe currency of the recipient.Format: Two-letter country code (ISO 3166-1 alpha-2 format)The destination country of the payout method.
The unique identifier of the user.
Possible values:
PAYIN, PAYOUTDefault value: PAYOUTThe scope of the recipient:PAYOUT– Usable for payouts and in pay-in use cases. APAYOUTrecipient can only be created by a user with theUserCategoryOWNERand requires SCA. You need to use the returnedPendingUserAction.RedirectUrlvalue, adding your encodedreturnUrlas a query parameter, to redirect the user to the hosted SCA session so they can complete the necessary steps.PAYIN- Not usable for payouts but only usable for pay-in use cases, such as direct debit and refunds using payouts. APAYINrecipient can be created by a user with theUserCategoryPAYERorOWNER, and does not require SCA.
PAYIN and PAYOUT scopes can be created for either InternationalBankTransfer or LocalBankTransfer, and for either IndividualRecipient or BusinessRecipient, and for any Currency.Max. length: 255 (pattern:
^.{0,255}$)Custom data that you can add to this object. This value cannot be changed once the recipient is created.- Individual
- Business
The account holder if the
RecipientType is Individual.- InternationalBankTransfer
- LocalBankTransfer
The account details if
PayoutMethodType is InternationalBankTransfer.Object containing the link needed for SCA redirection if triggered by the API call (otherwise returned
null).Related resources
Guide
Read about how the Recipients feature works
Guide
Read more about SCA